### Function Macro

# Gcr secure_memory_new

since: 4

#### Declaration [src]

    #define gcr_secure_memory_new (
      type,
      n_objects
    )

#### Description [src]

Allocate objects in non-pageable memory.

Available since: 4

This function is not directly available to language bindings.

#### Parameters

`type`

  Type: `-`

  C type of the objects to allocate.

`n_objects`

  Type: `-`

  Number of objects to allocate.